ByteChef LogoByteChef

Google Tasks

Google Tasks is a cloud-based task management tool that allows users to create, edit, and organize to-do lists, set deadlines, and track tasks across devices in real-time.

Categories: Productivity and Collaboration

Type: googleTasks/v1


Connections

Version: 1

OAuth2 Authorization Code

Properties

NameLabelTypeDescriptionRequired
clientIdClient IdSTRINGtrue
clientSecretClient SecretSTRINGtrue

Connection Setup

Create OAuth 2.0 Application

Creation of OAuth 2.0 application is documented here.

Enable Google Tasks API

  1. In the Google Cloud Console, select your project.
  2. Go to the APIs & Services.
  3. Click on ENABLE APIS AND SERVICES.
  4. Search for "google tasks api" in the search bar.
  5. Click on Google Tasks API.
  6. Click Enable.

Actions

Create Task

Name: createTask

Creates a new task on the specified task list.

Properties

NameLabelTypeDescriptionRequired
titleTitleSTRINGTitle of the new task to be created.true
listIdList IDSTRINGID of the list where the new task will be stored.true
statusStatusSTRING
Options needsAction, completed
Status of the task.true
notesNotesSTRINGNotes describing the task.false

Example JSON Structure

{
  "label" : "Create Task",
  "name" : "createTask",
  "parameters" : {
    "title" : "",
    "listId" : "",
    "status" : "",
    "notes" : ""
  },
  "type" : "googleTasks/v1/createTask"
}

Output

Type: OBJECT

Properties

NameTypeDescription
kindSTRINGType of the resource.
idSTRINGTask identifier.
etagSTRINGETag of the resource.
titleSTRINGTitle of the task. Maximum length allowed: 1024 characters.
updatedSTRINGLast modification time of the task (as a RFC 3339 timestamp).
selfLinkSTRINGURL pointing to this task. Used to retrieve, update, or delete this task.
parentSTRINGParent task identifier.
positionSTRINGString indicating the position of the task among its sibling tasks under the same parent task or at the top level.
notesSTRINGNotes describing the task.
statusSTRINGStatus of the task.
dueSTRINGScheduled date for the task (as an RFC 3339 timestamp).
completedSTRINGCompletion date of the task (as a RFC 3339 timestamp).
deletedBOOLEAN
Options true, false
Flag indicating whether the task has been deleted.
hiddenBOOLEAN
Options true, false
Flag indicating whether the task is hidden.
linksARRAY
Items [{STRING(type), STRING(description), STRING(link)}]
Collection of links.
webViewLinkSTRINGAn absolute link to the task in the Google Tasks Web UI.
assignmentInfoOBJECT
Properties {STRING(linkToTask), STRING(surfaceType), {}(DriveResourceInfo), {}(spaceInfo)}
Context information for assigned tasks.

Output Example

{
  "kind" : "",
  "id" : "",
  "etag" : "",
  "title" : "",
  "updated" : "",
  "selfLink" : "",
  "parent" : "",
  "position" : "",
  "notes" : "",
  "status" : "",
  "due" : "",
  "completed" : "",
  "deleted" : false,
  "hidden" : false,
  "links" : [ {
    "type" : "",
    "description" : "",
    "link" : ""
  } ],
  "webViewLink" : "",
  "assignmentInfo" : {
    "linkToTask" : "",
    "surfaceType" : "",
    "DriveResourceInfo" : { },
    "spaceInfo" : { }
  }
}

Find List ID

To find List ID, click here

List Tasks

Name: listTasks

Returns all tasks in the specified task list.

Properties

NameLabelTypeDescriptionRequired
listIdList IDSTRINGID of the list where tasks are stored.true
showCompletedShow completedBOOLEAN
Options true, false
Show also completed tasks. By default both completed task and task that needs action will be shown.true

Example JSON Structure

{
  "label" : "List Tasks",
  "name" : "listTasks",
  "parameters" : {
    "listId" : "",
    "showCompleted" : false
  },
  "type" : "googleTasks/v1/listTasks"
}

Output

Type: ARRAY

Items Type: OBJECT

Properties

NameTypeDescription
kindSTRINGType of the resource.
idSTRINGTask identifier.
etagSTRINGETag of the resource.
titleSTRINGTitle of the task. Maximum length allowed: 1024 characters.
updatedSTRINGLast modification time of the task (as a RFC 3339 timestamp).
selfLinkSTRINGURL pointing to this task. Used to retrieve, update, or delete this task.
parentSTRINGParent task identifier.
positionSTRINGString indicating the position of the task among its sibling tasks under the same parent task or at the top level.
notesSTRINGNotes describing the task.
statusSTRINGStatus of the task.
dueSTRINGScheduled date for the task (as an RFC 3339 timestamp).
completedSTRINGCompletion date of the task (as a RFC 3339 timestamp).
deletedBOOLEAN
Options true, false
Flag indicating whether the task has been deleted.
hiddenBOOLEAN
Options true, false
Flag indicating whether the task is hidden.
linksARRAY
Items [{STRING(type), STRING(description), STRING(link)}]
Collection of links.
webViewLinkSTRINGAn absolute link to the task in the Google Tasks Web UI.
assignmentInfoOBJECT
Properties {STRING(linkToTask), STRING(surfaceType), {}(DriveResourceInfo), {}(spaceInfo)}
Context information for assigned tasks.

Output Example

[ {
  "kind" : "",
  "id" : "",
  "etag" : "",
  "title" : "",
  "updated" : "",
  "selfLink" : "",
  "parent" : "",
  "position" : "",
  "notes" : "",
  "status" : "",
  "due" : "",
  "completed" : "",
  "deleted" : false,
  "hidden" : false,
  "links" : [ {
    "type" : "",
    "description" : "",
    "link" : ""
  } ],
  "webViewLink" : "",
  "assignmentInfo" : {
    "linkToTask" : "",
    "surfaceType" : "",
    "DriveResourceInfo" : { },
    "spaceInfo" : { }
  }
} ]

Find List ID

To find List ID, click here

Update Task

Name: updateTask

Updates a specific task on the specified task list.

Properties

NameLabelTypeDescriptionRequired
listIdList IDSTRINGID of the list where specific task is stored.true
taskIdTask IDSTRING
Depends On listId
ID of the task to update.true
titleTitleSTRINGTitle of the task to be updated. If empty, title will not be changed.false
statusStatusSTRING
Options needsAction, completed
Status of the task. If empty, status will not be changed.false
notesNotesSTRINGNotes describing the task. If empty, notes will not be changed.false

Example JSON Structure

{
  "label" : "Update Task",
  "name" : "updateTask",
  "parameters" : {
    "listId" : "",
    "taskId" : "",
    "title" : "",
    "status" : "",
    "notes" : ""
  },
  "type" : "googleTasks/v1/updateTask"
}

Output

Type: OBJECT

Properties

NameTypeDescription
kindSTRINGType of the resource.
idSTRINGTask identifier.
etagSTRINGETag of the resource.
titleSTRINGTitle of the task. Maximum length allowed: 1024 characters.
updatedSTRINGLast modification time of the task (as a RFC 3339 timestamp).
selfLinkSTRINGURL pointing to this task. Used to retrieve, update, or delete this task.
parentSTRINGParent task identifier.
positionSTRINGString indicating the position of the task among its sibling tasks under the same parent task or at the top level.
notesSTRINGNotes describing the task.
statusSTRINGStatus of the task.
dueSTRINGScheduled date for the task (as an RFC 3339 timestamp).
completedSTRINGCompletion date of the task (as a RFC 3339 timestamp).
deletedBOOLEAN
Options true, false
Flag indicating whether the task has been deleted.
hiddenBOOLEAN
Options true, false
Flag indicating whether the task is hidden.
linksARRAY
Items [{STRING(type), STRING(description), STRING(link)}]
Collection of links.
webViewLinkSTRINGAn absolute link to the task in the Google Tasks Web UI.
assignmentInfoOBJECT
Properties {STRING(linkToTask), STRING(surfaceType), {}(DriveResourceInfo), {}(spaceInfo)}
Context information for assigned tasks.

Output Example

{
  "kind" : "",
  "id" : "",
  "etag" : "",
  "title" : "",
  "updated" : "",
  "selfLink" : "",
  "parent" : "",
  "position" : "",
  "notes" : "",
  "status" : "",
  "due" : "",
  "completed" : "",
  "deleted" : false,
  "hidden" : false,
  "links" : [ {
    "type" : "",
    "description" : "",
    "link" : ""
  } ],
  "webViewLink" : "",
  "assignmentInfo" : {
    "linkToTask" : "",
    "surfaceType" : "",
    "DriveResourceInfo" : { },
    "spaceInfo" : { }
  }
}

Find List ID

To find List ID, click here

Find Task ID

To find Task ID, click here

Triggers

New Task

Name: newTask

Triggers when a new task is added.

Type: POLLING

Properties

NameLabelTypeDescriptionRequired
listIdList IDSTRINGID of the list where new task is added.true

Output

Type: OBJECT

Properties

NameTypeDescription
kindSTRINGType of the resource.
idSTRINGTask identifier.
etagSTRINGETag of the resource.
titleSTRINGTitle of the task. Maximum length allowed: 1024 characters.
updatedSTRINGLast modification time of the task (as a RFC 3339 timestamp).
selfLinkSTRINGURL pointing to this task. Used to retrieve, update, or delete this task.
parentSTRINGParent task identifier.
positionSTRINGString indicating the position of the task among its sibling tasks under the same parent task or at the top level.
notesSTRINGNotes describing the task.
statusSTRINGStatus of the task.
dueSTRINGScheduled date for the task (as an RFC 3339 timestamp).
completedSTRINGCompletion date of the task (as a RFC 3339 timestamp).
deletedBOOLEAN
Options true, false
Flag indicating whether the task has been deleted.
hiddenBOOLEAN
Options true, false
Flag indicating whether the task is hidden.
linksARRAY
Items [{STRING(type), STRING(description), STRING(link)}]
Collection of links.
webViewLinkSTRINGAn absolute link to the task in the Google Tasks Web UI.
assignmentInfoOBJECT
Properties {STRING(linkToTask), STRING(surfaceType), {}(DriveResourceInfo), {}(spaceInfo)}
Context information for assigned tasks.

JSON Example

{
  "label" : "New Task",
  "name" : "newTask",
  "parameters" : {
    "listId" : ""
  },
  "type" : "googleTasks/v1/newTask"
}

Find List ID

To find List ID, click here

What to do if your action is not listed here?

If this component doesn't have the action you need, you can use Custom Action to create your own. Custom Actions empower you to define HTTP requests tailored to your specific requirements, allowing for greater flexibility in integrating with external services or APIs.

To create a Custom Action, simply specify the desired HTTP method, path, and any necessary parameters. This way, you can extend the functionality of your component beyond the predefined actions, ensuring that you can meet all your integration needs effectively.


Additional Instructions

How to find List ID

You can only find List ID by using Google Tasks API endpoint: GET https://tasks.googleapis.com/tasks/v1/users/@me/lists.

How to find Task ID

You can only find Task ID by using Google Tasks API endpoint: GET https://tasks.googleapis.com/tasks/v1/lists/{tasklist}/tasks.

Troubleshooting

Access Blocked: Verification Process Not Completed

Documentation for how to add a test user can be found here

How is this guide?

Last updated on

On this page